com.holonplatform.vaadin.flow.components.builders

## Interface PropertyViewGroupConfigurator<C extends PropertyViewGroupConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ViewComponent<?>,PropertyViewGroup,C>
  All Known Subinterfaces:
    PropertyViewFormBuilder<C>, PropertyViewFormConfigurator<C>, PropertyViewGroupBuilder

      public interface PropertyViewGroupConfigurator<C extends PropertyViewGroupConfigurator<C>>
      extends ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ViewComponent<?>,PropertyViewGroup,C>

  `PropertyViewGroup` configurator.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> C` | `bind(com.holonplatform.core.property.Property<T> property, Function<com.holonplatform.core.property.Property<? extends T>,ViewComponent<T>> function)` Set the function to use to render the `ViewComponent` bound to given `property`.
    `<T> C` | `bind(com.holonplatform.core.property.Property<T> property, com.holonplatform.core.property.PropertyRenderer<ViewComponent<T>,T> renderer)` Set the `PropertyRenderer` to use to render the `ViewComponent` bound to given `property`.
    `default <T> C` | `bind(com.holonplatform.core.property.Property<T> property, ViewComponent<T> viewComponent)` Bind the given `property` to given `viewComponent` instance.
    `<T> C` | `hidden(com.holonplatform.core.property.Property<T> property)` Set the given property as hidden.
    `C` | `withPostProcessor(BiConsumer<com.holonplatform.core.property.Property<?>,ViewComponent<?>> postProcessor)` Add a `BiConsumer` to allow further `ViewComponent` configuration after generation and before the `ViewComponent` is actually bound to a property.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### hidden

          <T> C hidden(com.holonplatform.core.property.Property<T> property)

      Set the given property as hidden. If a property is hidden, the `ViewComponent` bound to the property will never be generated, but its value will be written to a `PropertyBox` using `PropertyViewGroup.getValue()`.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - Property to set as hidden (not null)
      Returns:
        this

    - #### bind

          <T> C bind(com.holonplatform.core.property.Property<T> property,
                     com.holonplatform.core.property.PropertyRenderer<ViewComponent<T>,T> renderer)

      Set the `PropertyRenderer` to use to render the `ViewComponent` bound to given `property`.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - The property to render (not null)
        `renderer` - The renderer to use to render the property `ViewComponent` (not null)
      Returns:
        this

    - #### bind

          default <T> C bind(com.holonplatform.core.property.Property<T> property,
                             Function<com.holonplatform.core.property.Property<? extends T>,ViewComponent<T>> function)

      Set the function to use to render the `ViewComponent` bound to given `property`.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - The property to render (not null)
        `function` - The function to use to render the property `ViewComponent` (not null)
      Returns:
        this

    - #### bind

          default <T> C bind(com.holonplatform.core.property.Property<T> property,
                             ViewComponent<T> viewComponent)

      Bind the given `property` to given `viewComponent` instance.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - The property to render (not null)
        `viewComponent` - The `ViewComponent` to use to render the property (not null)
      Returns:
        this

    - #### withPostProcessor

          C withPostProcessor(BiConsumer<com.holonplatform.core.property.Property<?>,ViewComponent<?>> postProcessor)

      Add a `BiConsumer` to allow further `ViewComponent` configuration after generation and before the `ViewComponent` is actually bound to a property.
      Parameters:
        `postProcessor` - the post processor to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.